/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.openjpa.persistence.batch.exception;

import javax.persistence.Entity;
import javax.persistence.Id;

@Entity
public class Ent1 {
    // primary key:
    @Id
    private int pk;    
    public int getPk() {return pk;}
    public void setPk(int pk) {this.pk = pk;}
    
    private String name;
    public String getName(){return name;}
    public void setName(String str){
        name = str;
    }
    
    public Ent1() {}    
    public Ent1(int pk, String str) {this.pk = pk;name=str;}     
    
    public String toString(){
        return "Ent1 [pk = " + pk + ", " + name +"]";
    }
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        result = prime * result + pk;
        return result;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Ent1 other = (Ent1) obj;
        if (name == null) {
            if (other.name != null)
                return false;
        } else if (!name.equals(other.name))
            return false;
        if (pk != other.pk)
            return false;
        return true;
    }
}


