/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.apache.openjpa.persistence.meta;

import java.util.Map;

import javax.persistence.Entity;
import javax.persistence.ManyToMany;
import javax.persistence.OneToOne;
import javax.persistence.Version;

/**
 * Domain class used by meta-model testing.
 * 
 * Uses implicit field based access.
 *  
 * @author Pinaki Poddar
 *
 */
@Entity
public class ImplicitFieldAccessSubclass extends ImplicitFieldAccessBase {
    @OneToOne
    private ImplicitFieldAccessBase base;
    @ManyToMany
    private Map<Embed0, ExplicitPropertyAccess> mapRelationKeyEmbedded;
    
    public ImplicitFieldAccessBase getBase() {
        return base;
    }
    
    public void setBase(ImplicitFieldAccessBase base) {
        this.base = base;
    }
    
    public Map<Embed0, ExplicitPropertyAccess> getMapRelationKeyEmbedded() {
        return mapRelationKeyEmbedded;
    }
    
    public void setMapRelationKeyEmbedded(
        Map<Embed0, ExplicitPropertyAccess> map) {
        this.mapRelationKeyEmbedded = map;
    }
}
