package org.apache.openjpa.persistence.query.common.apps;

import java.util.ArrayList;
import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
@Entity
public class Osoba {
	@Id
	@GeneratedValue
	private long id;
	
	private String name;
	private int age;
	
	protected Osoba() {
		this("?", 0);
	}
	
	public Osoba(String name, int age) {
		super();
		this.name = name;
		this.age = age;
	}
	
	@ManyToMany
	private List<Projekt> projekty;
	
	public String getName() {
		return name;
	}
	
	public long getId() {
		return id;
	}
	
	public List<Projekt> getProjekty() {
		return projekty;
	}
	
	public void addProjekty(Projekt projekt) {
		if (projekty == null)
			projekty = new ArrayList<Projekt>();
		projekty.add(projekt);
	}
	
	public void setName(String name) {
		this.name = name;
	}
	
	public int getAge() {
		return age;
	}
	
	public void setAge(int age) {
		this.age = age;
	}
}
